
package de.ivu.elect.business.gebietsbaum.control;

import javax.annotation.Nullable;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;

public class FilterByGebietParameter {

  private final Gebiet attachedGebiet;
  private final boolean includeUntergebiete;
  private final String untergebietNameNummer;

  public FilterByGebietParameter(Gebiet attachedGebiet, boolean includeUntergebiete) {
  this(attachedGebiet, includeUntergebiete, null);
  }

  public FilterByGebietParameter(Gebiet attachedGebiet, boolean includeUntergebiete, @Nullable String untergebietNameNummer) {
    this.attachedGebiet = attachedGebiet;
    this.includeUntergebiete = includeUntergebiete;
    this.untergebietNameNummer = untergebietNameNummer;
  }

  public Gebiet getAttachedGebiet() {
    return attachedGebiet;
  }

  public boolean isIncludeUntergebiete() {
    return includeUntergebiete;
  }

  @Nullable
  public String getUntergebietNameNummer() {
    return untergebietNameNummer;
  }
}
